#include <bits/stdc++.h>
using namespace std;
int n,k,t,niz[20005];
int main()
{
    cin>>n>>k;
    for(int i=1; i<=n; i++){
        cin>>niz[i];
    }
    if(niz[1]==k) cout<<niz[n]<<endl;
    else if(niz[n]==k) cout<<niz[1]<<endl;
    else {
        for(int i=1; i<=n; i++){
            if(niz[i]==k){
                cout<<niz[i-1]<<endl;
                break;
            }
        }
    }
    return 0;
}